
SF_Pet_Bar_Locked = true;
local Semicombat;

function Semi_Pet_Bar_OnLoad(self)
	self:RegisterEvent("PLAYER_ENTERING_WORLD");
	self:RegisterEvent("ADDON_LOADED");
	self:RegisterEvent("PLAYER_REGEN_ENABLED");
	self:RegisterEvent("PLAYER_REGEN_DISABLED");
end

function Semi_Pet_Bar_OnEvent(self, event, ...)
	local arg1, arg2, arg3, arg4, arg5, arg6, arg7, arg8 = ...;
	if event=="ADDON_LOADED" and arg1=="Semi_Pet_Bar" then
		if ( SF_Pet_Bar_Locked ) then
			Semi_Pet_Bar_LockBars();
		else
			Semi_Pet_Bar_UnLockBars();
		end
		SemiPetBar_HidePetArt();
	end
	if event == "PLAYER_REGEN_ENABLED" then
		Semicombat = false;
	end
	if event == "PLAYER_REGEN_DISABLED" then
		Semicombat = true;
	end
	if event == "PLAYER_ENTERING_WORLD" then
		SetPetBarScale(Semi_PetBar_Scale);
		if ( SF_Pet_Bar_Locked ) then
			Semi_Pet_Bar_LockBars();
		else
			Semi_Pet_Bar_UnLockBars();
		end
	end
end

function SemiPetBar_HidePetArt()
	PetActionBarFrame:EnableMouse("false");
	SlidingActionBarTexture0:SetAlpha(0);
	SlidingActionBarTexture1:SetAlpha(0);
end

function Semi_Construct_Pet_Bar()
	for i=1, 10 do
		pet_button = _G["PetActionButton"..i];
		if (pet_button ~= nil) then
			pet_button:ClearAllPoints();
			x_coord = 0 + ((i - 1) * 38);
			y_coord = 0;
			pet_button:SetPoint("BOTTOMLEFT", SemiPetBar, "BOTTOMLEFT", x_coord, y_coord);
		end
	end
end

function Semi_Link_Pet_BarToDragButton()
	SemiPetBar:ClearAllPoints();
	SemiPetBar:SetPoint("BOTTOMLEFT", SemiPetBarDragButton, "TOPRIGHT");
	if ( SF_Pet_Bar_Locked ) then
		Semi_Pet_Bar_LockBars();
	else
		Semi_Pet_Bar_UnLockBars();
	end
	SetPetBarScale(Semi_PetBar_Scale);	
end
	
function SetPetBarScale(scale)
	if (not Semicombat) then
		for i=1, 10 do
			_G["PetActionButton"..i]:SetScale(scale);
		end
	end
end

function Semi_Pet_Bar_LockBars()
    SemiPetBarDragButton:SetAlpha(0);
	SemiPetBarDragButton:EnableMouse("false");
	SF_Pet_Bar_Locked = true;
end


function Semi_Pet_Bar_UnLockBars()
	SemiPetBarDragButton:SetAlpha(1);
    SemiPetBarDragButton:EnableMouse("true");
	SF_Pet_Bar_Locked = false;
end
